Package org.jboss.logmanager.formatters

# Class MultistepFormatter

java.lang.Object
java.util.logging.Formatter
org.jboss.logmanager.ExtFormatter
org.jboss.logmanager.formatters.MultistepFormatter

Direct Known Subclasses:
  `PatternFormatter`

public class MultistepFormatter extends ExtFormatter
A formatter which formats a record in a series of steps.

## Constructor Summary

Constructors
Constructor
Description
`MultistepFormatter()`
Construct a new instance.
`MultistepFormatter(FormatStep[] steps)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`format(ExtLogRecord record)`
Format a message using an extended log record.
`FormatStep[]`
`getSteps()`
Get a copy of the format steps.
`boolean`
`isCallerCalculationRequired()`
Determines whether or not this formatter will require caller, source level, information when a log record is formatted.
`void`
`setSteps(FormatStep[] steps)`
Assign new format steps.

### Methods inherited from class org.jboss.logmanager.ExtFormatter

`format`

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultistepFormatter

public MultistepFormatter(FormatStep[] steps)
Construct a new instance.

Parameters:
  `steps` - the steps to execute to format the record

### MultistepFormatter

public MultistepFormatter()
Construct a new instance.

## Method Details

### getSteps

public FormatStep[] getSteps()
Get a copy of the format steps.

Returns:
  a copy of the format steps

### setSteps

public void setSteps(FormatStep[] steps)
Assign new format steps.

Parameters:
  `steps` - the new format steps

### format

public String format(ExtLogRecord record)
Format a message using an extended log record.

Specified by:
  `format` in class `ExtFormatter`
Parameters:
  `record` - the log record
Returns:
  the formatted message

### isCallerCalculationRequired

public boolean isCallerCalculationRequired()
Description copied from class: `ExtFormatter`
Determines whether or not this formatter will require caller, source level, information when a log record is formatted.

Overrides:
  `isCallerCalculationRequired` in class `ExtFormatter`
Returns:
  `true` if the formatter will need caller information, otherwise `false`
See Also:
  - `LogRecord.getSourceClassName()`
  - `ExtLogRecord.getSourceFileName()`
  - `ExtLogRecord.getSourceLineNumber()`
  - `LogRecord.getSourceMethodName()`